petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSSetTime

Allows one to reset the time.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetTime(TS ts, PetscReal t)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| time | - the time

### See Also

TSGetTime(), TSSetDuration()

### Keywords

TS, set, time

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html